Login  |  Register
HTML5 Icon HTML5 Icon HTML5 Icon
TP on Social Media

Recent

Welcome, Guest. Please login or register.
Did you miss your activation email?

February 08, 2023, 04:00:58 AM

Login with username, password and session length
Members
Stats
  • Total Posts: 194005
  • Total Topics: 21135
  • Online today: 64
  • Online ever: 3540
  • (September 02, 2022, 06:38:54 PM)
Users Online
Users: 0
Guests: 55
Total: 55

Author Topic: Upgrade from 2.1.2 to 2.1.3 Database Error  (Read 480 times)

0 Members and 1 Guest are viewing this topic.

Offline Kokoro

  • Jr. Member
  • **
  • Posts: 15
Upgrade from 2.1.2 to 2.1.3 Database Error
« on: November 27, 2022, 05:59:57 PM »

Link to my forum: http://www.AnimeRPGs.com/
SMF version: 2.1.3
TP version: 2.2.2
Default Forum Language: English
Theme name and version: Curve
Browser Name and Version: Firefox (107.0 64-bit)
Mods installed: SMF Social Packs, Members Online Today, Post as Another Member, Dice Roller BBCode
Related Error messages: Database Error: All parts of a PRIMARY KEY must be NOT NULL; if you need NULL in a key, use UNIQUE instead

My host automatically upgraded my forum to the latest 2.1.3 and all my mods were "uninstalled"?.  I tried to reinstall TinyPortal but got the above error message.

Offline @rjen

  • Support Team
  • *
  • Posts: 3497
    • FJR-club Nederland
Re: Upgrade from 2.1.2 to 2.1.3 Database Error
« Reply #1 on: November 28, 2022, 02:01:45 AM »
Unfortunately SMF2.1.3 introduced in bug that prevents the TinyPortal installer to complete in SMF2.1.3.

Same issue as reported here: https://www.tinyportal.net/index.php?topic=36797.0

The bug has been reported with SMF and has been flagged for SMF2.1.4.

At this time there is no real solution other then downgrading you forum to SMF2.1.2, then install TinyPortal and patch the forum to SMF2.1.3 afterwards.

Perhaps we can find another work-around, but it is not known at this time...
Running Latest TP on SMF2.1 at: www.fjr-club.nl

Offline Kokoro

  • Jr. Member
  • **
  • Posts: 15
Re: Upgrade from 2.1.2 to 2.1.3 Database Error
« Reply #2 on: November 28, 2022, 06:48:26 AM »
Thank you!  I'll patiently wait. :)

Offline @rjen

  • Support Team
  • *
  • Posts: 3497
    • FJR-club Nederland
Re: Upgrade from 2.1.2 to 2.1.3 Database Error
« Reply #3 on: November 28, 2022, 11:17:33 AM »
Work-around if you have upgraded from 2.1.2 to 2.1.3

Using an FTP client you can restore the previous version of the file DbPackages-mysql.php and install TinyPortal.

To do this :
1. rename the DbPackages-mysql.php file to DbPackages-mysql.php~213 (to keep it safe)
2. Then rename DbPackages-mysql.php~ to DbPackages-mysql.php

You can now install TinyPortal

then restore the files to their old state
3. Rename DbPackages-mysql.php to DbPackages-mysql.php~
4. Rename the DbPackages-mysql.php~213 file to DbPackages-mysql.php


Running Latest TP on SMF2.1 at: www.fjr-club.nl

Offline Kokoro

  • Jr. Member
  • **
  • Posts: 15
Re: Upgrade from 2.1.2 to 2.1.3 Database Error
« Reply #4 on: January 25, 2023, 11:46:49 AM »
I don't have a DbPackages-mysql.php~ file.

Offline @rjen

  • Support Team
  • *
  • Posts: 3497
    • FJR-club Nederland
Re: Upgrade from 2.1.2 to 2.1.3 Database Error
« Reply #5 on: January 25, 2023, 12:12:45 PM »
Then your host probably did not upgrade your smf version with the patch (as they should have), but the overwrote everything with the large upgrade package!. It also explains why you lost all modifications...

You can use the file from the SMF2.1.2 install package. I have attached the file here...

This file would need to go into the /sources folder, using an FTP client, then follow the procedure..
Running Latest TP on SMF2.1 at: www.fjr-club.nl

Offline Kokoro

  • Jr. Member
  • **
  • Posts: 15
Re: Upgrade from 2.1.2 to 2.1.3 Database Error
« Reply #6 on: January 25, 2023, 12:42:36 PM »
Awesome!  That did the trick!  Thank you!